---
title: Common MIME types
slug: Web/HTTP/Basics_of_HTTP/MIME_types/Common_types
tags:
  - Audio
  - File Types
  - Files
  - HTTP
  - MIME
  - MIME Types
  - PHP
  - Reference
  - Text
  - Types
  - Video
---
<div>{{HTTPSidebar}}</div>

<p>Here is a list of MIME types, associated by type of documents, ordered by their common extensions.</p>

<p>Two primary MIME types are important for the role of default types:</p>

<ul>
 <li><code>text/plain</code> is the default value for textual files. A textual file should be human-readable and must not contain binary data.</li>
 <li><code>application/octet-stream</code> is the default value for all other cases. An unknown file type should use this type. Browsers pay a particular care when manipulating these files, attempting to safeguard the user to prevent dangerous behaviors.</li>
</ul>

<p>IANA is the official registry of MIME media types and maintains a <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">list of all the official MIME types</a>. This table lists some important MIME types for the Web:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Extension</th>
   <th scope="col">Kind of document</th>
   <th scope="col">MIME Type</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>.aac</code></td>
   <td>AAC audio</td>
   <td><code>audio/aac</code></td>
  </tr>
  <tr>
   <td><code>.abw</code></td>
   <td><a href="https://en.wikipedia.org/wiki/AbiWord">AbiWord</a> document</td>
   <td><code>application/x-abiword</code></td>
  </tr>
  <tr>
   <td><code>.arc</code></td>
   <td>Archive document (multiple files embedded)</td>
   <td><code>application/x-freearc</code></td>
  </tr>
  <tr>
   <td><code>.avi</code></td>
   <td>AVI: Audio Video Interleave</td>
   <td><code>video/x-msvideo</code></td>
  </tr>
  <tr>
   <td><code>.azw</code></td>
   <td>Amazon Kindle eBook format</td>
   <td><code>application/vnd.amazon.ebook</code></td>
  </tr>
  <tr>
   <td><code>.bin</code></td>
   <td>Any kind of binary data</td>
   <td><code>application/octet-stream</code></td>
  </tr>
  <tr>
   <td><code>.bmp</code></td>
   <td>Windows OS/2 Bitmap Graphics</td>
   <td><code>image/bmp</code></td>
  </tr>
  <tr>
   <td><code>.bz</code></td>
   <td>BZip archive</td>
   <td><code>application/x-bzip</code></td>
  </tr>
  <tr>
   <td><code>.bz2</code></td>
   <td>BZip2 archive</td>
   <td><code>application/x-bzip2</code></td>
  </tr>
  <tr>
   <td><code>.csh</code></td>
   <td>C-Shell script</td>
   <td><code>application/x-csh</code></td>
  </tr>
  <tr>
   <td><code>.css</code></td>
   <td>Cascading Style Sheets (CSS)</td>
   <td><code>text/css</code></td>
  </tr>
  <tr>
   <td><code>.csv</code></td>
   <td>Comma-separated values (CSV)</td>
   <td><code>text/csv</code></td>
  </tr>
  <tr>
   <td><code>.doc</code></td>
   <td>Microsoft Word</td>
   <td><code>application/msword</code></td>
  </tr>
  <tr>
   <td><code>.docx</code></td>
   <td>Microsoft Word (OpenXML)</td>
   <td><code>application/vnd.openxmlformats-officedocument.wordprocessingml.document</code></td>
  </tr>
  <tr>
   <td><code>.eot</code></td>
   <td>MS Embedded OpenType fonts</td>
   <td><code>application/vnd.ms-fontobject</code></td>
  </tr>
  <tr>
   <td><code>.epub</code></td>
   <td>Electronic publication (EPUB)</td>
   <td><code>application/epub+zip</code></td>
  </tr>
  <tr>
   <td><code>.gz</code></td>
   <td>GZip Compressed Archive</td>
   <td><code>application/gzip</code></td>
  </tr>
  <tr>
   <td><code>.gif</code></td>
   <td>Graphics Interchange Format (GIF)</td>
   <td><code>image/gif</code></td>
  </tr>
  <tr>
   <td><code>.htm<br>
    .html</code></td>
   <td>HyperText Markup Language (HTML)</td>
   <td><code>text/html</code></td>
  </tr>
  <tr>
   <td><code>.ico</code></td>
   <td>Icon format</td>
   <td><code>image/vnd.microsoft.icon</code></td>
  </tr>
  <tr>
   <td><code>.ics</code></td>
   <td>iCalendar format</td>
   <td><code>text/calendar</code></td>
  </tr>
  <tr>
   <td><code>.jar</code></td>
   <td>Java Archive (JAR)</td>
   <td><code>application/java-archive</code></td>
  </tr>
  <tr>
   <td><code>.jpeg</code><br>
    <code>.jpg</code></td>
   <td>JPEG images</td>
   <td><code>image/jpeg</code></td>
  </tr>
  <tr>
   <td><code>.js</code></td>
   <td>JavaScript</td>
   <td>
    <p><code>text/javascript</code>, per the following specifications:</p>

    <ul>
     <li><a href="https://html.spec.whatwg.org/multipage/#scriptingLanguages">https://html.spec.whatwg.org/multipage/#scriptingLanguages</a></li>
     <li><a href="https://html.spec.whatwg.org/multipage/#dependencies:willful-violation">https://html.spec.whatwg.org/multipage/#dependencies:willful-violation</a></li>
     <li><a href="https://datatracker.ietf.org/doc/draft-ietf-dispatch-javascript-mjs/">https://datatracker.ietf.org/doc/draft-ietf-dispatch-javascript-mjs/</a></li>
    </ul>
   </td>
  </tr>
  <tr>
   <td><code>.json</code></td>
   <td>JSON format</td>
   <td><code>application/json</code></td>
  </tr>
  <tr>
   <td><code>.jsonld</code></td>
   <td>JSON-LD format</td>
   <td><code>application/ld+json</code></td>
  </tr>
  <tr>
   <td><code>.mid</code><br>
    <code>.midi</code></td>
   <td>Musical Instrument Digital Interface (MIDI)</td>
   <td><code>audio/midi</code> <code>audio/x-midi</code></td>
  </tr>
  <tr>
   <td><code>.mjs</code></td>
   <td>JavaScript module</td>
   <td><code>text/javascript</code></td>
  </tr>
  <tr>
   <td><code>.mp3</code></td>
   <td>MP3 audio</td>
   <td><code>audio/mpeg</code></td>
  </tr>
  <tr>
   <td><code>.mpeg</code></td>
   <td>MPEG Video</td>
   <td><code>video/mpeg</code></td>
  </tr>
  <tr>
   <td><code>.mpkg</code></td>
   <td>Apple Installer Package</td>
   <td><code>application/vnd.apple.installer+xml</code></td>
  </tr>
  <tr>
   <td><code>.odp</code></td>
   <td>OpenDocument presentation document</td>
   <td><code>application/vnd.oasis.opendocument.presentation</code></td>
  </tr>
  <tr>
   <td><code>.ods</code></td>
   <td>OpenDocument spreadsheet document</td>
   <td><code>application/vnd.oasis.opendocument.spreadsheet</code></td>
  </tr>
  <tr>
   <td><code>.odt</code></td>
   <td>OpenDocument text document</td>
   <td><code>application/vnd.oasis.opendocument.text</code></td>
  </tr>
  <tr>
   <td><code>.oga</code></td>
   <td>OGG audio</td>
   <td><code>audio/ogg</code></td>
  </tr>
  <tr>
   <td><code>.ogv</code></td>
   <td>OGG video</td>
   <td><code>video/ogg</code></td>
  </tr>
  <tr>
   <td><code>.ogx</code></td>
   <td>OGG</td>
   <td><code>application/ogg</code></td>
  </tr>
  <tr>
   <td><code>.opus</code></td>
   <td>Opus audio</td>
   <td><code>audio/opus</code></td>
  </tr>
  <tr>
   <td><code>.otf</code></td>
   <td>OpenType font</td>
   <td><code>font/otf</code></td>
  </tr>
  <tr>
   <td><code>.png</code></td>
   <td>Portable Network Graphics</td>
   <td><code>image/png</code></td>
  </tr>
  <tr>
   <td><code>.pdf</code></td>
   <td>Adobe <a href="https://acrobat.adobe.com/us/en/why-adobe/about-adobe-pdf.html">Portable Document Format</a> (PDF)</td>
   <td><code>application/pdf</code></td>
  </tr>
  <tr>
   <td><code>.php</code></td>
   <td>Hypertext Preprocessor (<strong>Personal Home Page</strong>)</td>
   <td><code>application/x-httpd-php</code></td>
  </tr>
  <tr>
   <td><code>.ppt</code></td>
   <td>Microsoft PowerPoint</td>
   <td><code>application/vnd.ms-powerpoint</code></td>
  </tr>
  <tr>
   <td><code>.pptx</code></td>
   <td>Microsoft PowerPoint (OpenXML)</td>
   <td><code>application/vnd.openxmlformats-officedocument.presentationml.presentation</code></td>
  </tr>
  <tr>
   <td><code>.rar</code></td>
   <td>RAR archive</td>
   <td><code>application/vnd.rar</code></td>
  </tr>
  <tr>
   <td><code>.rtf</code></td>
   <td>Rich Text Format (RTF)</td>
   <td><code>application/rtf</code></td>
  </tr>
  <tr>
   <td><code>.sh</code></td>
   <td>Bourne shell script</td>
   <td><code>application/x-sh</code></td>
  </tr>
  <tr>
   <td><code>.svg</code></td>
   <td>Scalable Vector Graphics (SVG)</td>
   <td><code>image/svg+xml</code></td>
  </tr>
  <tr>
   <td><code>.swf</code></td>
   <td><a href="https://en.wikipedia.org/wiki/SWF">Small web format</a> (SWF) or Adobe Flash document</td>
   <td><code>application/x-shockwave-flash</code></td>
  </tr>
  <tr>
   <td><code>.tar</code></td>
   <td>Tape Archive (TAR)</td>
   <td><code>application/x-tar</code></td>
  </tr>
  <tr>
   <td><code>.tif<br>
    .tiff</code></td>
   <td>Tagged Image File Format (TIFF)</td>
   <td><code>image/tiff</code></td>
  </tr>
  <tr>
   <td><code>.ts</code></td>
   <td>MPEG transport stream</td>
   <td><code>video/mp2t</code></td>
  </tr>
  <tr>
   <td><code>.ttf</code></td>
   <td>TrueType Font</td>
   <td><code>font/ttf</code></td>
  </tr>
  <tr>
   <td><code>.txt</code></td>
   <td>Text, (generally ASCII or ISO 8859-<em>n</em>)</td>
   <td><code>text/plain</code></td>
  </tr>
  <tr>
   <td><code>.vsd</code></td>
   <td>Microsoft Visio</td>
   <td><code>application/vnd.visio</code></td>
  </tr>
  <tr>
   <td><code>.wav</code></td>
   <td>Waveform Audio Format</td>
   <td><code>audio/wav</code></td>
  </tr>
  <tr>
   <td><code>.weba</code></td>
   <td>WEBM audio</td>
   <td><code>audio/webm</code></td>
  </tr>
  <tr>
   <td><code>.webm</code></td>
   <td>WEBM video</td>
   <td><code>video/webm</code></td>
  </tr>
  <tr>
   <td><code>.webp</code></td>
   <td>WEBP image</td>
   <td><code>image/webp</code></td>
  </tr>
  <tr>
   <td><code>.woff</code></td>
   <td>Web Open Font Format (WOFF)</td>
   <td><code>font/woff</code></td>
  </tr>
  <tr>
   <td><code>.woff2</code></td>
   <td>Web Open Font Format (WOFF)</td>
   <td><code>font/woff2</code></td>
  </tr>
  <tr>
   <td><code>.xhtml</code></td>
   <td>XHTML</td>
   <td><code>application/xhtml+xml</code></td>
  </tr>
  <tr>
   <td><code>.xls</code></td>
   <td>Microsoft Excel</td>
   <td><code>application/vnd.ms-excel</code></td>
  </tr>
  <tr>
   <td><code>.xlsx</code></td>
   <td>Microsoft Excel (OpenXML)</td>
   <td><code>application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</code></td>
  </tr>
  <tr>
   <td><code>.xml</code></td>
   <td><code>XML</code></td>
   <td><code>application/xml </code>if <em>not</em> readable from casual users (<a href="https://tools.ietf.org/html/rfc3023#section-3">RFC 3023</a>, section 3)<br>
    <code>text/xml</code> if readable from casual users (<a href="https://tools.ietf.org/html/rfc3023#section-3">RFC 3023</a>, section 3)</td>
  </tr>
  <tr>
   <td><code>.xul</code></td>
   <td>XUL</td>
   <td><code>application/vnd.mozilla.xul+xml</code></td>
  </tr>
  <tr>
   <td><code>.zip</code></td>
   <td>ZIP archive</td>
   <td><code>application/zip</code></td>
  </tr>
  <tr>
   <td><code>.3gp</code></td>
   <td><a href="https://en.wikipedia.org/wiki/3GP_and_3G2">3GPP</a> audio/video container</td>
   <td><code>video/3gpp</code><br>
    <code>audio/3gpp</code> if it doesn't contain video</td>
  </tr>
  <tr>
   <td><code>.3g2</code></td>
   <td><a href="https://en.wikipedia.org/wiki/3GP_and_3G2">3GPP2</a> audio/video container</td>
   <td><code>video/3gpp2</code><br>
    <code>audio/3gpp2</code> if it doesn't contain video</td>
  </tr>
  <tr>
   <td><code>.7z</code></td>
   <td><a href="https://en.wikipedia.org/wiki/7-Zip">7-zip</a> archive</td>
   <td><code>application/x-7z-compressed</code></td>
  </tr>
 </tbody>
</table>
